**Source URL:** https://limited.veevavault.dev/quality/vault-api/api-reference/22.1/binders/export-binders/export-binder.md

# Export Binder



Use this request to export the latest version or a specific version of a binder in your Vault.

* This will export the complete binder, including all binder sections and documents.

* To export only specific binder sections and documents, refer to the next section.

* After initiating an export, you can retrieve its status, results, and download the exported binder.

To export the latest version of a binder, <Endpoint path="/api/{version}/objects/binders/{binder_id}/actions/export" method="POST"></Endpoint>

To export a specific version of a binder, <Endpoint path="/api/{version}/objects/binders/{binder_id}/versions/{major_version}/{minor_version}/actions/export" method="POST"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `{binder_id}` | The binder `id` field value. |
| `{major_version}` | The binder `major_version_number__v` field value. |
| `{minor_version}` | The binder `minor_version_number__v` field value. |
</FieldTable>

## Exporting Document Source Files {#exporting-document-source-files}

* By default, the source files of all documents in the binder are exported.

* Source documents can be any type of file (ZIP, DOCX, CSV, etc.).

* To exclude source files, add the parameter `source=false` to the request endpoint.

* For example: `.../actions/export?source=false`

## Exporting Document Renditions {#exporting-document-renditions}

* By default, document renditions are not exported.

* To include renditions, add the parameter `renditiontype={rendition_type}` to the request endpoint.

* For example: `.../actions/export?renditiontype=viewable_rendition__v`

* The `viewable_rendition__v` is the most common, which exports the (typically auto-generated) PDF rendition of your document.

* Note that if the document source file is a PDF, there is no separate viewable rendition to download.

## Exporting Document Versions {#exporting-document-versions}

* By default, the document versions that are exported are determined by the version binding rule configured for the binder, section, or binder document.

* To override the binding rule and export all major versions of each document, add the parameter `docversion=major` to the request endpoint.

* For example: `.../actions/export?docversion=major`

* To override the binding rule and export all major and minor versions of each document, add the parameter `docversion=major_minor` to the request endpoint.

* For example: `.../actions/export?docversion=major_minor`

## Exporting Attachments {#exporting-attachments}

* To export binder attachments, include the parameter `attachments=all` or `attachments=latest`

* For example: `.../actions/export?attachments=all` will export all versions of all attachments.

* For example: `.../actions/export?attachments=latest` will export the latest version of all attachments.

* Available in API v15 or later.

## Exporting Document Field Values & Metadata {#exporting-document-field-values--metadata}

* By default, exported files include the `name__v` field value only.

* To export additional fields, include a comma-separated list of field values to export.

* For example, to export the binder name, title, document number, and export file name: `.../actions/export?name__v,title__v,document_number__v,export_filename__v`

* By default, all document metadata is exported. To exclude the metadata, add the parameter `docfield=false`

## Combining Multiple Request Parameters {#combining-multiple-request-parameters}

* To add multiple parameters to the request endpoint, separate each with the ampersand (`&`) character.

* For example, to exclude the source file and export a rendition: `.../actions/export?source=false&renditiontype=viewable_rendition__v`

## Request {#request}

<CodeExample title="">
```
curl -X POST -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v15.0/objects/binders/454/actions/export

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
  "responseStatus": "SUCCESS",
  "responseMessage": "Job for Binder Export Started",
  "URL": "https://myvault.veevavault.com/api/v15.0/services/jobs/1201",
  "job_id": 1201
}

```
</CodeExample>

## Response Details {#response-details}

On SUCCESS, the response includes the following information:

* `url` - The URL to retrieve the current status of the binder export job.

* `job_id` - The Job ID value is used to retrieve the [status](/vault-api/api-reference/22.1/jobs/retrieve-job-status) and results of the binder export request.



---

**Previous:** [Export Binders](/quality/vault-api/api-reference/22.1/binders/export-binders)  
**Next:** [Export Binder Sections](/quality/vault-api/api-reference/22.1/binders/export-binders/export-binder-sections)